/*C**************************************************************************
* $RCSfile: main.c,v $
*----------------------------------------------------------------------------
* Copyright (c) 2002 Atmel.
*----------------------------------------------------------------------------
* RELEASE:      $Name: avr-can11-lib-mcu-0_0_3 $      
* REVISION:     $Revision: 1.2 $     
* FILE_CVSID:   $Id: main.c,v 1.2 2004/03/31 15:36:29 jberthy Exp $       
*----------------------------------------------------------------------------
* PURPOSE: 
* This file contains an example of use the CAN library
* 
*****************************************************************************/

/*_____ I N C L U D E S ____________________________________________________*/

#include "config.h"
#include "lib_mcu\spi\spi_lib.h"



/*_____ M A C R O S ________________________________________________________*/

/*_____ D E F I N I T I O N S ______________________________________________*/

/*_____ D E C L A R A T I O N S ____________________________________________*/


/*F**************************************************************************
* NAME: main 
*----------------------------------------------------------------------------
* PARAMS:   none
* return:   none
*----------------------------------------------------------------------------
* PURPOSE: 
*----------------------------------------------------------------------------
* EXAMPLE:
*----------------------------------------------------------------------------
* NOTE: 
*----------------------------------------------------------------------------
* REQUIREMENTS: 
*****************************************************************************/
void main (void)
{	
	Uchar temp;

  spi_init(SPI_MASTER);
  DDRB = 0x06;

	spi_putchar(0xAA);

	spi_putchar(0x55);
  
  while(!spi_test_hit());	
	
	temp=spi_getchar();
	
	spi_putchar(temp);

  while(1);
 }

