/*C**************************************************************************
* $RCSfile: main.c,v $
*----------------------------------------------------------------------------
* Copyright (c) 2002 Atmel.
*----------------------------------------------------------------------------
* RELEASE:      $Name: avr-can11-lib-mcu-0_0_3 $      
* REVISION:     $Revision: 1.3 $     
* FILE_CVSID:   $Id: main.c,v 1.3 2004/03/29 11:10:00 jberthy Exp $       
*----------------------------------------------------------------------------
* PURPOSE: 
* This file contains an example of use the CAN library
* 
*****************************************************************************/

/*_____ I N C L U D E S ____________________________________________________*/

#include "config.h"
#include "lib_mcu\can\can_lib.h"



/*_____ M A C R O S ________________________________________________________*/

/*_____ D E F I N I T I O N S ______________________________________________*/
/*_____ D E C L A R A T I O N S ____________________________________________*/

extern void loop_back_without_interrupt(void);


/*F**************************************************************************
* NAME: main 
*----------------------------------------------------------------------------
* PARAMS:   none
* return:   none
*----------------------------------------------------------------------------
* PURPOSE: 
*----------------------------------------------------------------------------
* EXAMPLE:
*----------------------------------------------------------------------------
* NOTE: 
*----------------------------------------------------------------------------
* REQUIREMENTS: 
*****************************************************************************/
void main (void)
{	

  can_init();
  
  loop_back_without_interrupt();
  while(1);
 }

/*F**************************************************************************
* NAME: loop_back_without_interrupt 
*----------------------------------------------------------------------------
* PARAMS:   none
* return:   none
*----------------------------------------------------------------------------
* PURPOSE: 
*----------------------------------------------------------------------------
* EXAMPLE:
*----------------------------------------------------------------------------
* NOTE: 
*----------------------------------------------------------------------------
* REQUIREMENTS: 
*****************************************************************************/
void loop_back_without_interrupt(void)
{
  Uchar buffer[8];
  st_cmd_t msg;     // message descriptor store in code area

  msg.pt_data = &buffer[0];
  msg.status = 0;
  msg.handle = 0;

  do{
    msg.cmd     = CMD_RX;

    while(can_cmd(&msg) != CAN_CMD_ACCEPTED);
    while(can_getstatus(&msg) != CAN_STATUS_COMPLETED);

    if (msg.ctrl.rtr){ msg.cmd = CMD_TX_REMOTE;}
    else             { msg.cmd = CMD_TX;       }

    while(can_cmd(&msg) != CAN_CMD_ACCEPTED);
    while(can_getstatus(&msg) != CAN_STATUS_COMPLETED);

  }while(1);
}
