/*H**************************************************************************
* $RCSfile: eep_drv.c,v $         
*----------------------------------------------------------------------------
* Copyright (c) 2003 Atmel.
*----------------------------------------------------------------------------
* RELEASE:      $Name: avr-can11-lib-mcu-0_0_3 $      
* REVISION:     $Revision: 1.1.2.1 $     
* FILE_CVSID:   $Id: eep_drv.c,v 1.1.2.1 2004/03/30 06:09:23 jberthy Exp $       
*----------------------------------------------------------------------------
* PURPOSE: 
* Include file for EEPROM API
*****************************************************************************/

/*_____ I N C L U D E S ____________________________________________________*/
#include "config.h"

/*_____ M A C R O S ________________________________________________________*/


/*F**************************************************************************
* NAME:eeprom_rd 
*----------------------------------------------------------------------------
* PARAMS:  
* addr: EEPROM address
* return: Byte value read from the EEPROM memory 
*----------------------------------------------------------------------------
* PURPOSE: 
* Reads a byte from the EEPROM memory .
*****************************************************************************/
Byte eeprom_rd(Uint16 addr)
{
  EEAR = addr;
  EECR |= (1<<EERE);
  return(EEDR);
}


/*_____ D E F I N I T I O N S ______________________________________________*/

/*_____ D E C L A R A T I O N S ____________________________________________*/


