/*H**************************************************************************
* $RCSfile: uart_bdr.h,v $         
*----------------------------------------------------------------------------
* Copyright (c) 2003 Atmel.
*----------------------------------------------------------------------------
* RELEASE:      $Name: avr-can11-lib-mcu-0_0_3 $      
* REVISION:     $Revision: 1.5.2.1 $     
* FILE_CVSID:   $Id: uart_bdr.h,v 1.5.2.1 2003/08/29 12:45:11 jberthy Exp $       
*----------------------------------------------------------------------------
* PURPOSE: 
* Provide Baudrate configuration for MCU
*****************************************************************************/
#ifndef _UART_BDR_H
#define _UART_BDR_H

#define Uart_set_baudrate(bdr)  ( UBRRH = (Uchar)((((Uint32)FOSC*1000L)/((Uint32)bdr*16)-1)>>8),\
                                  UBRRL = (Uchar)(((Uint32)FOSC*1000 )/((Uint32)bdr*16)-1)    )

#endif/* _UART_BDR_H */

